> ## Documentation Index
> Fetch the complete documentation index at: https://developer.beeble.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Upload URL

> Create a presigned upload URL for a media file.



## OpenAPI

````yaml https://api.beeble.ai/developer-api-docs/openapi.json post /v1/uploads
openapi: 3.1.0
info:
  title: Beeble Developer API
  description: API for SwitchX video-to-video compositing and media uploads.
  version: 1.0.0
servers:
  - url: https://api.beeble.ai
    description: Production
security:
  - apiKeyAuth: []
paths:
  /v1/uploads:
    post:
      tags:
        - uploads
      summary: Create Upload URL
      description: Create a presigned upload URL for a media file.
      operationId: create_upload_v1_uploads_post
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UploadRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UploadResponse'
components:
  schemas:
    UploadRequest:
      properties:
        filename:
          type: string
          title: Filename
          description: >-
            Filename with extension (3-255 chars). Accepted: .mp4, .mov, .png,
            .jpg, .jpeg, .webp
      type: object
      required:
        - filename
      title: UploadRequest
      description: Request to create a presigned upload URL.
    UploadResponse:
      properties:
        id:
          type: string
          title: Id
          description: Upload ID (upload_...)
        upload_url:
          type: string
          title: Upload Url
          description: Presigned PUT URL for uploading your file. Expires after 1 hour.
        beeble_uri:
          type: string
          title: Beeble Uri
          description: >-
            beeble:// URI to reference this file in SwitchX generation calls
            (source_uri, reference_image_uri, or alpha_uri).
      type: object
      required:
        - id
        - upload_url
        - beeble_uri
      title: UploadResponse
      description: Response with presigned upload URL and beeble:// URI.
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: Your [Developer API key](/api/authentication).

````